package com.qianhe.mapper;

import com.qianhe.domain.SjGfjsZsdwwtcj;

import java.util.List;

/**
 * 规范建设-机关部门检查Mapper接口
 *
 * @author qianhe
 * @date 2024-07-23
 */
public interface SjGfjsJgbmjcMapper
{
    /**
     * 查询规范建设-机关部门检查
     *
     * @param id 规范建设-机关部门检查主键
     * @return 规范建设-机关部门检查
     */
    public SjGfjsZsdwwtcj selectSjGfjsZsdwwtcjById(Long id);

    /**
     * 查询规范建设-机关部门检查列表
     *
     * @param sjGfjsZsdwwtcj 规范建设-机关部门检查
     * @return 规范建设-机关部门检查集合
     */
    public List<SjGfjsZsdwwtcj> selectSjGfjsZsdwwtcjList(SjGfjsZsdwwtcj sjGfjsZsdwwtcj);

    /**
     * 新增规范建设-机关部门检查
     *
     * @param sjGfjsZsdwwtcj 规范建设-机关部门检查
     * @return 结果
     */
    public int insertSjGfjsZsdwwtcj(SjGfjsZsdwwtcj sjGfjsZsdwwtcj);

    /**
     * 修改规范建设-机关部门检查
     *
     * @param sjGfjsZsdwwtcj 规范建设-机关部门检查
     * @return 结果
     */
    public int updateSjGfjsZsdwwtcj(SjGfjsZsdwwtcj sjGfjsZsdwwtcj);

    /**
     * 删除规范建设-机关部门检查
     *
     * @param id 规范建设-机关部门检查主键
     * @return 结果
     */
    public int deleteSjGfjsZsdwwtcjById(Long id);

    /**
     * 批量删除规范建设-机关部门检查
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjGfjsZsdwwtcjByIds(Long[] ids);

    int batchSave(List<SjGfjsZsdwwtcj> list);


}
